Bug 75703 - (un)installing package sends wrong signal to xinetd
(un)installing package sends wrong signal to xinetd
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fam (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 03:29 EDT by Jordan Russell
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-12 08:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2002-10-11 03:29:34 EDT
# rpm -ivh fam-2.6.8-4.i386.rpm
or 
# rpm -e fam

results in this message in syslog:

xinetd[31474]: generated state dump in file /var/run/xinetd.dump

Apparently it is sending a USR1 signal to xinetd. It seems that it should be 
sending a HUP signal instead (which causes xinetd to re-read the configuration 
files).

Version-Release number of selected component (if applicable):
fam-2.6.8-4
xinetd-2.3.7-2

How reproducible:
Always
Comment 1 Alexander Larsson 2002-10-11 04:15:09 EDT
"oops"
Comment 2 Alexander Larsson 2003-08-12 08:34:42 EDT
Fixed in fam-2.6.8-12

Note You need to log in before you can comment on or make changes to this bug.